Subject: Re: bug#18924: 25.0.50; visiting files in Bazaar workarea

From: Stefan Kangas <[email-masked]>
Date: Mon, 11 Nov 2019 16:16:02 +0100

tags 18924 + notabug
close 18924
thanks

Michael Albinus <[email-masked]> writes:

> No, this bug report is new to me. Due to limited time, I don't read all
> bug reports. They get my attention if they have a buzzword in their
> headline, like "tramp" or "remote".
>
> Or if somebody points me to this :-)

OK.  I'll just point you to it if I see any other tramp related bugs
in the future. :-)

> I believe the OP gave already a proper analysis. Due to the way he has
> handled his bazaar repository (copying from an MS Windows host to a
> GNU/Linux host), he has wrong file names. In the backtrace, we see
>
>>>   file-exists-p(#("/scp:H:/Bzr/Apple/Application/.bzr/branch/format" 1 4 (tramp-default t)))
>
> Tramp has been involved due to the drive letter "H:", interpreting it as
> host name.
>
> After all, it looks like a pilot error. I would close it as notabug.

Thanks for taking a look.  I'll close it now.

Best regards,
Stefan Kangas